# Update an entity definition

Updates an entity definition with the details provided.

Endpoint: PUT /api/entitydefinitions/{name}
Version: v1.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `name` (string, required)
    The name of the entity definition to update, for example, `M.Asset`.

## Request body:

  - `application/json` (unknown)
    The updated details of the entity definition, for example, an instance of `Stylelabs.M.Base.Web.Api.Models.EntityDefinitionResource` containing the updated properties.

## Request fields (application/json):

  - `id` (integer)

  - `name` (string)

  - `modified_on` (string)

  - `created_on` (string)

  - `display_template` (string)

  - `is_taxonomy_item_definition` (boolean)

  - `is_path_enabled_definition` (boolean)

  - `is_manual_sorting_allowed` (boolean)

  - `is_system_owned` (boolean)

  - `is_built_in` (boolean)

  - `labels` (object)

  - `member_groups` (array)

  - `member_groups.name` (string)

  - `member_groups.content_group` (string)

  - `member_groups.labels` (object)

  - `member_groups.members` (array)

  - `member_groups.members.name` (string)

  - `member_groups.members.labels` (object)

  - `member_groups.members.helptext` (object)

  - `member_groups.members.is_conditional` (boolean)

  - `member_groups.members.conditions` (array)

  - `member_groups.members.conditions.member` (string)

  - `member_groups.members.can_trigger_conditional_members` (boolean)

  - `member_groups.members.is_system_owned` (boolean)

  - `member_groups.members.is_secured` (boolean)

  - `member_groups.members.can_write` (boolean)

  - `member_groups.members.allow_updates` (boolean)

  - `member_groups.is_system_owned` (boolean)

  - `member_groups.is_conditional` (boolean)

  - `member_groups.conditions` (array)

  - `member_groups.is_secured` (boolean)

  - `member_groups.can_write` (boolean)

  - `entities` (object)
    Represents a link to a resource.

  - `entities.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `entities.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `entities.title` (string)
    Gets or sets the title that describes this link.

  - `entities.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `permissions` (array)
    All available permissions for the entity definition

## Response 200:

  - `200` (unknown)
    The entity definition was successfully updated

## Response 400:

  - `400` (unknown)
    The request is invalid (for example, the resource is `null` or contains invalid data)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 403:

  - `403` (unknown)
    The user does not have the required privileges to update the entity definition

## Response 404:

  - `404` (unknown)
    The entity definition with the specified name was not found

